Subject: AW: different rising and falling Ramp dV

From: Koller Katja <[email-masked]>
Date: Fri, 23 Mar 2001 09:57:41 +0100

The ibis models do only have the same value of dV, if the load AND the
termination voltage have the same value.
The ibis-ramp termination voltage is defined for
rising: 0V
falling: vcc

But you can get the exact dV out of the pullup and pulldown-curves.

Katja

> -----Urspr> üngliche Nachricht-----
> Von:	Mike LaBonte [SMTP:[email-masked]]
> Gesendet am:	Freitag, 23. März 2001 00:19
> An:	[email-masked]
> Betreff:	different rising and falling Ramp dV
> 
> Many IBIS models have different values for dV in the dV/dt_r and dV/dt_f.
> The clipping below from IBIS spec shows an example. But the usage rules
> imply that dV must be 60% of the voltage swing. If the voltage swing is
> measured between the 2 steady-state voltages, then how could you have
> different values for rise and fall dV? If there is variation in how
> simulators handle the Ramp dV values, then this may matter.
> 
> Mike LaBonte
> 
> |=============================================================================
> |     Keyword:  [Ramp]
> |    Required:  Yes, except for inputs, terminators, Series and Series_switch
> |               model types.
> | Description:  Defines the rise and fall times of a buffer.  The ramp rate
> |               does not include packaging but does include the effects of the
> |               C_comp parameter.
> |  Sub-Params:  dV/dt_r, dV/dt_f, R_load
> | Usage Rules:  The rise and fall time is defined as the time it takes the
> |               output to go from 20% to 80% of its final value.  The ramp
> |               rate is defined as:
> |
> |               dV          20% to 80% voltage swing
> |               -- = ----------------------------------------
> |               dt   Time it takes to swing the above voltage
> |
> |               The ramp rate must be specified as an explicit fraction and
> |               must not be reduced.  The [Ramp] values can use "NA" for the
> |               min and max values only.  The R_load subparameter is optional
> |               if the default 50 ohm load is used.  The R_load subparameter
> |               is required if a non-standard load is used.
> |-----------------------------------------------------------------------------
> [Ramp]
> | variable      typ             min             max
> dV/dt_r         2.20/1.06n      1.92/1.28n      2.49/650p
> dV/dt_f         2.46/1.21n      2.21/1.54n      2.70/770p
> R_load = 300ohms

---

From: Mike LaBonte <[email-masked]>
Date: Fri, 23 Mar 2001 08:30:51 -0500

Katja,

I searched through the IBIS spec, and at the very end there is indeed
a description of what you have stated. I should have remembered this,
but the issues of IBIS 1.1 seem so far in the past.

Al's comment about simulator differences is no doubt true. So we have
at least 2 areas that simulators possibly handle differently:

1) IBIS models with no waveforms, and different Ramp dV for rise and fall.
2) IBIS models with waveform endpoint that do not match the I/V curves.

Maybe I have missed others, like C_comp de-embedding? Anyway, from now on
I will be more watchful of simulations involving models without waveforms.
Correlating has never been optional, I suppose, for any model. With luck,
all of the models I see from now on will have waveforms and perfectly
matching I/V curves :-)

Mike